com.lowagie.text.rtf.document.output

## Interface RtfDataCache

- All Known Implementing Classes:
    RtfDiskCache, RtfEfficientMemoryCache, RtfMemoryCache

      public interface RtfDataCache

  The RtfDataCache interface must be implemented by classes wishing to act as caches for the rtf document data.
  Version:
    $Id$
  Author:
    Mark Hall (Mark.Hall@mail.room3b.eu), Thomas Bickel (tmb99@inode.at)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CACHE_DISK` Constant for caching to the disk.
    `static int` | `CACHE_MEMORY` Constant for caching into memory.
    `static int` | `CACHE_MEMORY_EFFICIENT` Constant for caching efficiently into memory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.OutputStream` | `getOutputStream()` Get the OutputStream that the RtfDocument can write to.
    `void` | `writeTo(java.io.OutputStream target)` Write the content of the cache into the OutputStream.

- - ### Field Detail

    - #### CACHE_MEMORY_EFFICIENT

          static final int CACHE_MEMORY_EFFICIENT

      Constant for caching efficiently into memory.
      See Also:
        Constant Field Values

    - #### CACHE_MEMORY

          static final int CACHE_MEMORY

      Constant for caching into memory.
      See Also:
        Constant Field Values

    - #### CACHE_DISK

          static final int CACHE_DISK

      Constant for caching to the disk.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getOutputStream

          java.io.OutputStream getOutputStream()

      Get the OutputStream that the RtfDocument can write to.
      Returns:
        The OutputStream the RtfDocument can use.

    - #### writeTo

          void writeTo(java.io.OutputStream target)
                       throws java.io.IOException

      Write the content of the cache into the OutputStream.
      Parameters:
        `target` - The OutputStream to write the content into.
      Throws:
        `java.io.IOException` - If an error occurs reading/writing.